This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1276830 - Fail to play or read metadata of any audio file
Fail to play or read metadata of any audio file
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gstreamer1 (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Brian Pepple
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-31 00:49 EDT by Robin Lee
Modified: 2015-11-05 08:25 EST (History)
3 users (show)

See Also:
Fixed In Version: gstreamer1-1.6.1-1.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-05 08:25:36 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
logs of using rhythmbox 'Add Music' to add my music folder (101.26 KB, text/plain)
2015-10-31 00:49 EDT, Robin Lee
no flags Details

  None (edit)
Description Robin Lee 2015-10-31 00:49:21 EDT
Created attachment 1088125 [details]
logs of using rhythmbox 'Add Music' to add my music folder

Description of problem:
When I use rhythmbox 'Add Music' to add my music folder, a lot of 'GStreamer-CRITICAL' logging output (refer to the attachment), and rhythmbox failed to index any file.

Similar problem occurs also when I try to play a music with Amarok via phonon-gstreamer.

But programs like exaile (using gstreamer 0.10) and VLC play well. So I thought that's a problem with gtreamer 1.x.

The system is installed from Fedora 23 Beta.

I have a USB soundcard. But if I remove it, the problem still remains.

$ cat /proc/asound/cards
 0 [SB             ]: HDA-Intel - HDA ATI SB
                      HDA ATI SB at 0xfe8f0000 irq 16
 1 [HDMI           ]: HDA-Intel - HDA ATI HDMI
                      HDA ATI HDMI at 0xfeae8000 irq 19
 2 [Device         ]: USB-Audio - USB Audio Device
                      GeneralPlus USB Audio Device at usb-0000:00:12.0-2, full speed

I am happy to provide further infomation.

Version-Release number of selected component (if applicable):
gstreamer1-1.6.0-2.fc23.x86_64
gstreamer1-plugins-bad-free-1.6.0-1.fc23.x86_64
gstreamer1-plugins-good-1.6.0-1.fc23.x86_64
gstreamer1-plugins-base-1.6.0-1.fc23.x86_64

How reproducible:
Always


Steps to Reproduce:
1. Try to play an audio file with rhythmbox or Amarok via phonon-gstreamer
2.
3.

Actual results:
Not playing

Expected results:
playing

Additional info:
Comment 1 Robin Lee 2015-11-05 08:25:36 EST
Confirm fixed in gstreamer1-1.6.1-1.fc23

Note You need to log in before you can comment on or make changes to this bug.